Jump to content

4.0 upgrade confusion


nodle
 Share

Recommended Posts

So I installed 3.4.8 today and was able to do my importing from Xenforo today. I got everything setup and everything looks fine. I then moved the forum to the root and everything is ok. Now here is where I am confused. I went and downloaded the latest 4.0 from my Client area. Now it's basically a zip with another folder inside with numbers. Am I suppose to take all the files inside and over write all the old files? Or how do I exactly upgraded from 3.4.8. to the latest? I have ran the upgrade script and I am good to go, but I am just confused on where to put the files and then start the upgrade. Can anyone explain it a little more clear to me? Thank you!

Link to comment
Share on other sites

9 minutes ago, nodle said:

So I installed 3.4.8 today and was able to do my importing from Xenforo today. I got everything setup and everything looks fine. I then moved the forum to the root and everything is ok. Now here is where I am confused. I went and downloaded the latest 4.0 from my Client area. Now it's basically a zip with another folder inside with numbers. Am I suppose to take all the files inside and over write all the old files? Or how do I exactly upgraded from 3.4.8. to the latest? I have ran the upgrade script and I am good to go, but I am just confused on where to put the files and then start the upgrade. Can anyone explain it a little more clear to me? Thank you!

First run IPS Database Converter after this step is done create a directory and move all files from your document root into it.Than move public,uploads and conf_global.php to your document root.Now you can upload all files from the zip archive and run admin/upgrade.

Link to comment
Share on other sites

2 minutes ago, Ugur Kaya said:

First run IPS Database Converter after this step is done create a directory and move all files from your document root into it.Than move public,uploads and conf_global.php to your document root.Now you can upload all files from the zip archive and run admin/upgrade.

That's included in the upgrade.  You don't need to run that on it's own.

Link to comment
Share on other sites

I moved all the files over and started the upgrade, and now I get this when I put my SQL info in. Do I have to create a new database or doesn't it just convert my old one?

Quote

There is already an IPS Community Suite installation in that database. Choose a different database or use a table prefix

 

Link to comment
Share on other sites

2 minutes ago, Bluto said:

You're trying to tell him to do a step he doesn't need to do.  He's obviously already having an issue not understanding how to upgrade.

I explained him how he need to perform the upgrade with success like i did.He need to run IPS Database Converter by the way.It doesn't matter if he run it alone or with the upgrade wizard.

Link to comment
Share on other sites

1 minute ago, m@t said:

You have taken the script

domain.com/admin/upgrade ?

When I try to use the upgrade path I just get:

Quote

An error occurred (500 Error)

We're sorry, but a temporary technical error has occurred which means we cannot display this site right now. 

You can try again by clicking the button below, or try again later. 

 

Link to comment
Share on other sites

4 minutes ago, nodle said:

I moved all the files over and started the upgrade, and now I get this when I put my SQL info in. Do I have to create a new database or doesn't it just convert my old one?

 

You can submit a ticket in the client area and have IPS do the upgrade if you want.  Might be easier for you.  I believe it's free.

Link to comment
Share on other sites

Ips 3.4.8 was working without problem?

do you have moved anything from the 3.x files? They must stay where they have been before 

just over write with the 4.x files 

the not needed old folders after upgrade you can delete later from the website

Edited by m@t
Link to comment
Share on other sites

 

1 minute ago, Bluto said:

You can submit a ticket in the client area and have IPS do the upgrade if you want.  Might be easier for you.  I believe it's free.

Ya with an 8 day waiting period. Can't wait that long, my site is down at the moment. I don't get why this is so hard. Xenforo you just upload the files and start the script.

Link to comment
Share on other sites

Just now, nodle said:

 

Ya with an 8 day waiting period. Can't wait that long, my site is down at the moment. I don't get why this is so hard. Xenforo you just upload the files and start the script.

Can you check server error logs please ? There might be less memory or max execution time.

Link to comment
Share on other sites

7 minutes ago, nodle said:

 

Ya with an 8 day waiting period. Can't wait that long, my site is down at the moment. I don't get why this is so hard. Xenforo you just upload the files and start the script.

With ips it is completely the same just upload and over write not moving anything - just making backups

Edited by m@t
Link to comment
Share on other sites

1 minute ago, nodle said:

 

Ya with an 8 day waiting period. Can't wait that long, my site is down at the moment. I don't get why this is so hard. Xenforo you just upload the files and start the script.

That's basically what you do here.  Create a folder in your public_html directory called old348.  Move all the old 3.4.8 files into the new old348 folder.  Upload what is in the ipb[number] folder you downloaded into the public_html folder on your site.  Move the config_global file, uploads, and public folder back from old348 folder the public_html folder.  Run the upgrade from www.yoursitename.com/admin/upgrade.  It will do everything else for you.

Link to comment
Share on other sites

Don't matter now looks like i really messed things up. Guess that means I have to re do everything now: Sigh

Quote

[17-Nov-2015 20:41:13 UTC] PHP Fatal error:  Class 'db_driver_' not found in /home/mysite/public_html/ipb/admin/sources/base/ipsRegistry.php on line 2705
[17-Nov-2015 22:56:28 UTC] PHP Warning:  require_once(/home/mysite/public_html/admin/sources/base/ipsRegistry.php): failed to open stream: No such file or directory in /home/fluxoid/public_html/index.php on line 23

 

Link to comment
Share on other sites

15 minutes ago, Bluto said:

That's basically what you do here.  Create a folder in your public_html directory called old348.  Move all the old 3.4.8 files into the new old348 folder.  Upload what is in the ipb[number] folder you downloaded into the public_html folder on your site.  Move the config_global file, uploads, and public folder back from old348 folder the public_html folder.  Run the upgrade from www.yoursitename.com/admin/upgrade.  It will do everything else for you.

Thanks @Bluto this got me up and running again and I was able to upgrade, Thanks again sir!:sweat:

Link to comment
Share on other sites

No problem.  It's all in that guide linked above.  If you notice a lot of spacing in your posts you might have to run this... see last post.  I had too and gave some command line instructions on how to do it... if you have access to the CLI.

 

Link to comment
Share on other sites

 Share

  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...